Subject: Re: bug#71411: 30.0.50; Show Unicode names when describing translations

From: Robert Pluim <[email-masked]>
Date: Mon, 10 Jun 2024 15:01:51 +0200

>>>>> On Mon, 10 Jun 2024 15:34:35 +0300, Eli Zaretskii <[email-masked]> said:

    Eli> What about characters produced by input methods?  For example:

    Eli>   C-u C-\ cyrillic-translit RET
    Eli>   C-h k z h =>

    Eli>     ж (translated from h ж) runs the command self-insert-command

I completely forgot to check input methods, it works there as well:

    ж 'CYRILLIC SMALL LETTER ZHE' (translated from h ж) runs the command
    self-insert-command (found in global-map), which is an interactive
    primitive-function in ‘C source code’.

Iʼll put that in the NEWS entry.

    Eli> (which, btw, uncovers a bug, since "h ж" is bogus and should be "z h"
    Eli> instead).

Right, but thatʼs a separate issue.

Robert
--